Subject: [Isis-wg] RE: Aligning MIB values with Implementation values

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 2 Dec 2001 11:20:09 +0100

Inline

> -----Original Message-----
> From: Jeff Parker [mailto:[email-masked]]
> Sent: Thursday, November 29, 2001 11:30 PM
> To: IS-IS-WG (E-mail)
> Cc: Bert Wijnen (Bert) (E-mail); [email-masked]'
> Subject: Aligning MIB values with Implementation values
> 
> 
> I've received the following request to align MIB values with
> implementation values.  
> 
> As Neal notes, I had been following an admonition to avoid the
> use of 0 as the value of an enumeration.  However, I don't
> think this is a prohibition.  
> 
> There are two things we could do:
> 	Make the mapping be the identity (so that Up becomes 0, etc)
> 	Make the mapping be addition (subtraction) by 1
> 
> Any objections to doing the first?
> 
It is recommended that enumerations start at 1.
But not prohibeted as you state. And you seem to have a valid reason
to not follow the receommendation. Maybe you can add some text to the
DESCRIPTION clause to explain why you start at zero.

Bert
> - jeff parker
> - axiowave networks
> 
> ///////////////////////////////////////////////////
> 
> Jeff,
> 
> The isisISAdjState values are inconsistent with the those in the 3-way
> handshake draft.  Because of this, my code must translate 
> between the two.
> 
> The MIB has values:
> 
>            Initializing 1
>            Up           2
>            Down         4
> 
> Whereas the 3-way handshake draft has these different values 
> for adjacency
> state:
> 
>            Initializing 1
>            Up           0
>            Down         2
> 
> Any chance the MIB values could be made to be consistent?  I 
> note that in
> the MIB there appears to be a desire to avoid the use of the 
> number "0" as a
> value for an entry, and so in this case giving values such as Up 1,
> Initializing 2, Down 3, would be pretty good since there is 
> an easy function
> to map between the two values.
> 
> Secondly, the fields for Adjacency usage are inconsistent 
> with those values
> that one might use to index into the 10589 state tables for 
> received hellos
> (8.2.4.2).  Looking at table 6, which contains all the 
> indecis, the ideal
> index values for adjusage would be:
> 
> 
>              None:          0
>              L1:            1
>              L1andL2:       2
>              L2-only        3
> 
> The mib has values:
>              Undefined:     1
>              level1         2
>              level2         3
>              level1and2     4
> 
> As before, if 0 is being avoided values such as none: 1 l1: 
> 2, l1andl2 3
> l2-only 4, would be preferable.
> 
> I realize this isn't terribly important, but there is some 
> confusing code
> that maps between the table indices and the MIB values that 
> makes this part
> of the code a little more difficult to read.  No translation 
> would improve
> this bit of code's readability.
> 
> Thanks for your attention,
> 
>   --Neal
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg